# ipe::BufferSource Class Reference
[Ipe Base]

Data source for parsing from a buffer. More...

`#include <ipebase.h>`

Inherits ipe::DataSource.

List of all members.

## Public Member Functions

- BufferSource (const Buffer &buffer)
- virtual int getChar ()

## Detailed Description

Data source for parsing from a buffer.

## Constructor & Destructor Documentation

BufferSource::BufferSource | ( | const Buffer & | buffer | ) |

## Member Function Documentation

int BufferSource::getChar | ( |  | ) | `[virtual]`

Get one more character, or EOF.

Implements ipe::DataSource.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp